/*
 *
 * Create actions
 *
 */
import * as types from './constants';

export function defaultAction() {
  return {
    type: types.DEFAULT_ACTION,
  };
}

export function getAllTemplates(channel, queryParams) {
  return {
    type: types.GET_ALL_TEMPLATES_REQUEST,
    channel,
    queryParams,
  };
}

export function uploadAsset(file, assetType, fileParams, mode, wechatParams, contentId, uploadId) {
  return {
    type: types.UPLOAD_ASSET_REQUEST,
    file,
    assetType,
    fileParams,
    mode,
    wechatParams,
    contentId,
    uploadId,
  };
}
export function saveTemplate(template, callback) {
  
  return {
    type: types.SAVE_TEMPLATE_REQUEST,
    template,
    callback,
  };
}
export function clearContentImageStore() {
  return {
    type: types.CLEAR_CONTENT_ASSET,
  };
}

